//
//  MyView.m
//  CIDemo
//
//  Created by Dave Dribin on 3/11/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "MyView.h"


@implementation MyView

- (id)initWithFrame:(NSRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
        NSString * file = [[NSBundle mainBundle] pathForResource: @"image1" ofType: @"jpg"];
        mImage = [[CIImage alloc] initWithContentsOfURL: [NSURL fileURLWithPath: file]];
    }
    return self;
}

- (void)drawRect:(NSRect)rect {
    CIContext * context = [[NSGraphicsContext currentContext] CIContext];
    [context drawImage: mImage
               atPoint: CGPointZero fromRect: [mImage extent]];
}

@end
